Show / Hide Table of Contents

# Class OpenIddictMongoDbScope

Represents an OpenIddict scope.

##### Inheritance

System.Object
OpenIddictMongoDbScope

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.MongoDb.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictMongoDbScope

### Properties

#### ConcurrencyToken

Gets or sets the concurrency token.

##### Declaration

    public virtual string ConcurrencyToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Description

Gets or sets the public description associated with the current scope.

##### Declaration

    public virtual string Description { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Descriptions

Gets or sets the localized public descriptions associated with the current scope.

##### Declaration

    public virtual IReadOnlyDictionary<CultureInfo, string> Descriptions { get; set; }

##### Property Value

Type | Description
--- | ---
IReadOnlyDictionary<CultureInfo, System.String> |

#### DisplayName

Gets or sets the display name associated with the current scope.

##### Declaration

    public virtual string DisplayName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayNames

Gets or sets the localized display names associated with the current scope.

##### Declaration

    public virtual IReadOnlyDictionary<CultureInfo, string> DisplayNames { get; set; }

##### Property Value

Type | Description
--- | ---
IReadOnlyDictionary<CultureInfo, System.String> |

#### Id

Gets or sets the unique identifier associated with the current scope.

##### Declaration

    public virtual ObjectId Id { get; set; }

##### Property Value

Type | Description
--- | ---
ObjectId |

#### Name

Gets or sets the unique name associated with the current scope.

##### Declaration

    public virtual string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Properties

Gets or sets the additional properties associated with the current scope.

##### Declaration

    public virtual BsonDocument? Properties { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<BsonDocument> |

#### Resources

Gets or sets the resources associated with the current scope.

##### Declaration

    public virtual IReadOnlyList<string> Resources { get; set; }

##### Property Value

Type | Description
--- | ---
IReadOnlyList<System.String> |